PROGRAM JBORDERLYOT!       Example borderlayout.f

! Code converted using TO_F90 by Alan Miller
! Date: 2001-03-14  Time: 19:15:22

USE JAPI


INTEGER :: frame,left,right,bottom,top,center,obj

IF( .NOT. j_start()) THEN
  PRINT*, "can't connect to JAPI Kernel"
  GO TO 20
END IF

!       Generate Graphical Objects
frame     = j_frame("Border Layout Demo")

CALL j_setborderlayout(frame)

right  = j_button(frame,"Right")
left   = j_button(frame,"Left")
bottom = j_button(frame,"Bottom")
top    = j_button(frame,"Top")
center = j_button(frame,"Center")

CALL j_setborderpos(right,j_right)
CALL j_setborderpos(left,j_left)
CALL j_setborderpos(bottom,j_bottom)
CALL j_setborderpos(top,j_top)

CALL j_show(frame)

NEXTACTION: DO
      obj=j_nextaction()

IF(obj == frame) EXIT

END DO NEXTACTION

20  CONTINUE
CALL j_quit()
END PROGRAM JBORDERLYOT

